jaxb
  1. jaxb
  2. JAXB-652

JAXB 2.2 API should be cahnged to wotk with old 2.1 jaxb implementation in JDK

    Details

    • Type: Bug Bug
    • Status: Resolved
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 2.2
    • Fix Version/s: 2.2.4
    • Component/s: spec
    • Labels:
      None
    • Environment:

      Operating System: All
      Platform: All

      Description

      JAXB 2.2 API should be changed to work with 2.1 implementation in JDK when one
      is not using 2.2 features.
      For people using JDK 6, copying jaxb-api.jar to JRE endorsed dir is one option,
      but that breaks the existing old jaxb applications as it no longer can find the
      default provider for the jaxb api in JDK unless one configures jaxb 2.2
      implementation via classpath.

      JAXB 2.2 API should be fixed to use the default provider in JDK when it can't
      find a suitable provider via meta-inf/services. This would make atleast 2.1
      applications work as it is without any changes.

        Activity

        Hide
        Martin Grebac added a comment -

        The default provider was fixed to the JDK.

        Show
        Martin Grebac added a comment - The default provider was fixed to the JDK.

          People

          • Assignee:
            Martin Grebac
            Reporter:
            ramapulavarthi
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: